> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Credential Issuer Profiles

> Get all credential issuer profiles



## OpenAPI

````yaml /openapi.json get /credential-issuer-profiles
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /credential-issuer-profiles:
    get:
      tags:
        - Credential Issuer Profile
      summary: Get Credential Issuer Profiles
      description: Get all credential issuer profiles
      operationId: getCredentialIssuerProfiles
      parameters:
        - name: page
          required: true
          in: query
          schema:
            type: number
        - name: limit
          required: true
          in: query
          schema:
            type: number
      responses:
        '200':
          description: Credential issuer profiles fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCredentialIssuerProfiles'
components:
  schemas:
    PaginatedCredentialIssuerProfiles:
      type: object
      properties:
        items:
          description: The list of credential issuer profiles
          type: array
          items:
            $ref: '#/components/schemas/CredentialIssuerProfile'
        metadata:
          description: The pagination metadata
          allOf:
            - $ref: '#/components/schemas/Paginated'
      required:
        - items
        - metadata
    CredentialIssuerProfile:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the credential issuer profile.
        name:
          type: string
          description: The organization name used in credential issuance.
        identifierId:
          type: string
          description: The identifier used to issue credentials.
      description: >-
        The profile used to issue credentials such as Digital Product Passports
        against.
      required:
        - id
        - name
        - identifierId
    Paginated:
      type: object
      properties:
        total:
          type: number
        page:
          type: number
        limit:
          type: number
      required:
        - total
        - page
        - limit

````